// Code generated by mockery v1.1.0. DO NOT EDIT.

package process

import mock "github.com/stretchr/testify/mock"

// MockKiller is an autogenerated mock type for the Killer type
type MockKiller struct {
	mock.Mock
}

// ForceKill provides a mock function with given fields:
func (_m *MockKiller) ForceKill() {
	_m.Called()
}

// Terminate provides a mock function with given fields:
func (_m *MockKiller) Terminate() {
	_m.Called()
}
